#!/usr/bin/env python
"""Module to run every scripts in a folder."""
import os
import os.path
import sys
import stat

def runparts(directory):
    """Runs every scripts in 'directory' whose names doesn't start
    with '.' or '_' in alphabetical order."""
    exe = (stat.S_IXUSR | stat.S_IXGRP | stat.S_IXOTH)
    scripts = sorted(x for x in os.listdir(directory) 
                     if x[0] not in ('.', '_'))
    for script in scripts:
        path = os.path.join(directory, script)
        if os.stat(path)[stat.ST_MODE] & exe:
            os.system(path)

def main():
    """runs runparts on each argument given on command-line."""
    for folder in sys.argv[1:]:
        runparts(folder)

if __name__ == '__main__':
    main()
