from setuptools import setup, find_packages
import os

version = '0.1'

def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

extras_require = {
    'eventpoll': ['runparts'],
    'predictd': ['runparts'],
    'runparts': [],
}

setup(name = 'slapos.android',
      version = version,
      description = "Listens to events in android hardware (battery), predict them, react.",
      long_description = read('README'),
      classifiers = [
        'Intended Audience :: System Administrators',
	'Natural Language :: English',
	'Programming Language :: Python :: 2.7',
	],
      keywords = 'android battery events',
      author = 'Florian Bourse',
      author_email = 'florian.bourse@tiolive.com',
      url = 'http://git.erp5.org/repos/slapos.android.git',
      license = 'GPL v2',
      packages = find_packages(),
      include_package_data = True,
      zip_safe = False,
      install_requires = [],
      extras_require = extras_require,
      entry_points = {
	'console_scripts': [
            'runparts=runparts.runparts:main',
            'eventpoll=eventpoll.eventpoll:main',
            'predictd=predictd.learning:main',
            ]
	},
      )
